Summary: SSL-encrypting socket wrapper
Name: stunnel
Version: 3.8p4
Release: olc4
%define openssldir	/var/lib/ssl
Copyright: GPL
Group: Networking
Source0: http://www.stunnel.org/download/stunnel/src/%{name}-%{version}.tgz
Source1: stunnel-MakePEM
Source2: stunnel-simap-initscript
Source3: stunnel-spop3-initscript
Patch0: http://www.cs.umass.edu/~olc/pub/stunnel-logfac2-olc.patch
Buildroot: /var/tmp/stunnel-root
Packager: Ole Craig <olc@cs.umass.edu>
Vendor: Dept. of Computer Science, U. of Mass. <www.cs.umass.edu>
URL: http://www.stunnel.org/

%changelog
* Mon Sep 25 2000 Ole Craig <olc@cs.umass.edu>
- Added hack to change syslog facility at runtime with -D facil

* Wed Jul 12 2000 Jeff Rush <jrush@taupro.com>
- Updated to 3.8p4; added simap/spop3 initscripts; fixed initscripts to
  work with linuxconf; set the installed ownership to root.root; made
  to build with Red Hat 6.2 re /var/lib/ssl/ directory arrangement.

* Fri Mar  3 2000 Rich West <rwest@wesmo.com>
- Updated to 3.8
- Added --with-ssl option, and creation of symbolic links in /etc/ssl
- Moved the custom init script to a separate source (as it should be).

* Mon Feb 21 2000 Rich West <rwest@wesmo.com>
- Updated to 3.7

* Mon Aug 30 1999 Rich West <rwest@wesmo.com>
- Updated to 3.4a

* Sun Jul 11 1999 Damien Miller <dmiller@ilogic.com.au>
- Updated to 3.3

* Sat Nov 28 1998 Damien Miller <dmiller@ilogic.com.au>
- Initial RPMification

%description
stunnel is a socket wrapper which can be used to give ordinary
applications SSL (secure sockets layer) support. For example, it
can be used in conjunction with a imapd to create a SSL secure IMAP
server.

%post
echo "To generate a self signed certificate, execute the following commands:"
echo ""
echo ""
echo "cd %{openssldir}/certs"
echo "openssl req -new -x509 -nodes -days 365 -out server.pem -keyout server.pem"
echo "ln -s server.pem \`openssl x509 -noout -hash < server.pem\`.0" 
echo "chmod 644 server.pem"
echo ""
echo "For your convenience, MakePEM is a script that has been put tegether"
echo "to ease in the creation of signed certificates."

%postun
if [ -r %{openssldir}/certs/server.pem ]; then
	echo "You may wish to remove the stunnel certificate."
	echo "If so, execute the following commands:"
	echo ""
	echo "rm -f %{openssldir}/certs/`openssl x509 -noout -hash < %{openssldir}/certs/server.pem`.0"
	echo "rm -f %{openssldir}/certs/server.pem"
	echo ""
fi

%prep


%setup 
#if [ ! -e "%{openssldir}/lib" ]; then
#   ln -s /usr/lib %{openssldir}/lib
#fi
#if [ ! -e "%{openssldir}/include" ]; then
#   ln -s /usr/include %{openssldir}/include
#fi
%patch0 -p1

%build
  # --with-ssl={DIR}        # Location of Installation SSL Libraries/Include Files
  # --with-pem-dir={DIR}    # Default Directory for stunnel.pem File
  # --with-cert-file={FILE} # Default File Containing Client-Certificate Verify Data
  # --with-cert-dir={DIR}   # Default Directory for Client-Certificate Verify Data
  # --enable-ssllib-cs      # Use the Default SSL Library Client-Certificate Verify Sources

  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --localstatedir=/var/run --with-pem-dir=/var/lib/ssl/certs \
  		--with-cert-dir=/var/lib/ssl/certs --enable-ssllib-cs
  make

%install
  rm -rf $RPM_BUILD_ROOT
  mkdir -p $RPM_BUILD_ROOT/usr/sbin
  mkdir -p $RPM_BUILD_ROOT/usr/man/man8
  mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
  mkdir -p $RPM_BUILD_ROOT/%{openssldir}

  /usr/bin/install -c -m 711 stunnel                                    $RPM_BUILD_ROOT/usr/sbin
  /usr/bin/install -c -m 644 stunnel.8                                  $RPM_BUILD_ROOT/usr/man/man8
  /usr/bin/install -c -m 711 ${RPM_SOURCE_DIR}/stunnel-MakePEM          $RPM_BUILD_ROOT/usr/sbin/MakePEM
  /usr/bin/install -c -m 711 ${RPM_SOURCE_DIR}/stunnel-simap-initscript $RPM_BUILD_ROOT/etc/rc.d/init.d/simap
  /usr/bin/install -c -m 711 ${RPM_SOURCE_DIR}/stunnel-spop3-initscript $RPM_BUILD_ROOT/etc/rc.d/init.d/spop3

#  ln -s /usr/lib $RPM_BUILD_ROOT/%{openssldir}/lib
#  ln -s /usr/include $RPM_BUILD_ROOT/%{openssldir}/include

%clean
  rm -rf $RPM_BUILD_ROOT

%files
  %defattr(-, root, root)
  %doc BUGS COPYING COPYRIGHT.GPL COPYRIGHT.SSLeay FAQ HISTORY INSTALL PORTS
  %doc README TODO stunnel.html
  /usr/sbin/stunnel
  /usr/man/man8/
  /etc/rc.d/init.d/
  /usr/sbin/MakePEM
#  /etc/ssl/lib
#  /etc/ssl/include

